Get Deployment logs

Get logs for an Astro Deployment. You must specify at least one log source.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the Organization to which the Deployment belongs.
deploymentIdstringRequired
The ID of the Deployment to get logs for.

Query parameters

sourceslist of enumsRequired
Log sources to retrieve.
limitintegerOptional>=1Defaults to 500
Maximum number of log entries per page.
offsetintegerOptional>=0Defaults to 0
Offset for pagination.
rangeintegerOptional>=60Defaults to 3600
Range of the log search in seconds.
maxNumResultsintegerOptional>=1Defaults to 10000
Maximum total number of results across all pages.
searchIdstringOptional
Search ID for paginated results.
searchTextstringOptional
Text to filter logs by.
startDatestringOptionalformat: "date-time"

Start of time range (RFC3339). Must be used with endDate.

endDatestringOptionalformat: "date-time"

End of time range (RFC3339). Must be used with startDate.

Response

OK
limitinteger>=1
The requested log entry limit.
maxNumResultsinteger>=0
The maximum number of results.
offsetinteger>=0
The offset of the current results page.
resultCountinteger>=0
The number of results returned.
resultslist of objects
The log entries.
searchIdstring
The search ID for pagination.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error